Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.resource
Interface ResourceComponent

All Known Subinterfaces:
  ResourceComponent2

    public interface ResourceComponent

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:58:13 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Method Summary
`javax.faces.el.MethodBinding` | `getCreateContent()` Get El binding to method in user bean to send resource.
`java.util.Date` | `getExpires()` Deprecated.
`java.util.Date` | `getLastModified()` Deprecated.
`java.lang.String` | `getMimeType()` Get Mime-type for target .
`java.lang.Object` | `getValue()` Get Data object, encoded in uri and passed to "send" method for generate resource content.
`boolean` | `isCacheable()` Get caching flag for resource.
`boolean` | `isSession()` Deprecated.
`void` | `setCacheable(boolean newvalue)` Set caching flag for resource.
`void` | `setCreateContent(javax.faces.el.MethodBinding newvalue)` Set El binding to method in user bean to send resource.
`void` | `setExpires(java.util.Date newvalue)` Deprecated.
`void` | `setLastModified(java.util.Date newvalue)` Deprecated.
`void` | `setMimeType(java.lang.String newvalue)` Set Mime-type for target .
`void` | `setSession(boolean newvalue)` Deprecated.
`void` | `setValue(java.lang.Object newvalue)` Set Data object, encoded in uri and passed to "send" method for generate resource content.

Method Detail

### getMimeType

    java.lang.String getMimeType()

  Get Mime-type for target .

  Returns:

### setMimeType

    void setMimeType(java.lang.String newvalue)

  Set Mime-type for target .

  Parameters:
    `newvalue` -

### getLastModified

    @Deprecated
    java.util.Date getLastModified()

  Deprecated.

  Get Last modified date for target .

  Returns:

### setLastModified

    @Deprecated
    void setLastModified(java.util.Date newvalue)

  Deprecated.

  Set Last modified for target .

  Parameters:
    `newvalue` -

### getExpires

    @Deprecated
    java.util.Date getExpires()

  Deprecated.

  Get Expiration time for target .

  Returns:

### setExpires

    @Deprecated
    void setExpires(java.util.Date newvalue)

  Deprecated.

  Set Expiration time for target .

  Parameters:
    `newvalue` -

### isCacheable

    boolean isCacheable()

  Get caching flag for resource.

  Returns:

### setCacheable

    void setCacheable(boolean newvalue)

  Set caching flag for resource.

  Parameters:
    `newvalue` -

### isSession

    @Deprecated
    boolean isSession()

  Deprecated.

  Get session-avare flag for resource.

  Returns:
    true if resource depend of client session. If false, no JSESSIONID encoded in URI

### setSession

    @Deprecated
    void setSession(boolean newvalue)

  Deprecated.

  Set session-avare flag for resource.

  Parameters:
    `newvalue` -

### getValue

    java.lang.Object getValue()

  Get Data object, encoded in uri and passed to "send" method for generate resource content.

  Returns:

### setValue

    void setValue(java.lang.Object newvalue)

  Set Data object, encoded in uri and passed to "send" method for generate resource content.

  Parameters:
    `newvalue` -

### getCreateContent

    javax.faces.el.MethodBinding getCreateContent()

  Get El binding to method in user bean to send resource. Method will called with two parameters - restored data object and servlet output stream.

  Returns:

### setCreateContent

    void setCreateContent(javax.faces.el.MethodBinding newvalue)

  Set El binding to method in user bean to send resource. Method will called with two parameters - restored data object and servlet output stream.

  Parameters:
    `newvalue` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.